Loading...
Searching...
No Matches
Opm::MixingRateControls< FluidSystem > Class Template Reference

Class handling mixing rate controls for a FlowProblemBlackoil. More...

`#include <MixingRateControls.hpp>`

## Public Types

using | Scalar = typename FluidSystem::Scalar

## Public Member Functions

| MixingRateControls (const Schedule &schedule)
| MixingRateControls (const MixingRateControls &rhs)
bool | operator== (const MixingRateControls &rhs) const
MixingRateControls & | operator= (const MixingRateControls &rhs)
void | init (std::size_t numDof, int episodeIdx, const unsigned ntpvt)
bool | drsdtActive (int episodeIdx) const
bool | drvdtActive (int episodeIdx) const
bool | drsdtConvective (int episodeIdx) const
bool | drsdtActive (int episodeIdx, std::size_t pvtRegionIdx) const
bool | drvdtActive (int episodeIdx, std::size_t pvtRegionIdx) const
bool | drsdtConvective (int episodeIdx, std::size_t pvtRegionIdx) const
Scalar | drsdtcon (const unsigned elemIdx, int episodeIdx, const int pvtRegionIdx) const
| Returns the dynamic drsdt convective mixing value.
Scalar | maxGasDissolutionFactor (unsigned timeIdx, unsigned globalDofIdx, const int episodeIdx, const int pvtRegionIdx) const
| Returns the maximum value of the gas dissolution factor at the current time for a given degree of freedom.
Scalar | maxOilVaporizationFactor (const unsigned timeIdx, const unsigned globalDofIdx, const int episodeIdx, const int pvtRegionIdx) const
| Returns the maximum value of the oil vaporization factor at the current time for a given degree of freedom.
void | updateExplicitQuantities (const int episodeIdx, const Scalar timeStepSize)
void | updateLastValues (const unsigned elemIdx, const Scalar Rs, const Scalar Rv)
void | updateMaxValues (const int episodeIdx, const Scalar timeStepSize)
template<class Serializer>
void | serializeOp (Serializer &serializer)
template<class IntensiveQuantities>
void | update (unsigned compressedDofIdx, const IntensiveQuantities &iq, const int episodeIdx, const Scalar gravity, const Scalar permZ, const Scalar distZ, const int pvtRegionIdx)

## Static Public Member Functions

static MixingRateControls | serializationTestObject (const Schedule &schedule)

## Detailed Description

template<class FluidSystem>
class Opm::MixingRateControls< FluidSystem >

Class handling mixing rate controls for a FlowProblemBlackoil.

The documentation for this class was generated from the following files:

- opm/simulators/flow/MixingRateControls.hpp
- opm/simulators/flow/MixingRateControls.cpp